Index: AUTHORS
===================================================================
--- AUTHORS	(revision 16594)
+++ AUTHORS	(working copy)
@@ -172,6 +172,7 @@
     eriks@win.tue.nl
     Tomáš Ehrlich <tomas.ehrlich@gmail.com>
     Dirk Eschler <dirk.eschler@gmx.net>
+    Bernhard Essl <me@bernhardessl.com>
     Dan Fairs <dan@fezconsulting.com>
     Marc Fargas <telenieko@telenieko.com>
     Szilveszter Farkas <szilveszter.farkas@gmail.com>
Index: docs/topics/forms/modelforms.txt
===================================================================
--- docs/topics/forms/modelforms.txt	(revision 16594)
+++ docs/topics/forms/modelforms.txt	(working copy)
@@ -713,7 +713,7 @@
 Just like with ``ModelForms``, by default the ``clean()`` method of a
 ``model_formset`` will validate that none of the items in the formset violate
 the unique constraints on your model (either ``unique``, ``unique_together`` or
-``unique_for_date|month|year``).  If you want to overide the ``clean()`` method
+``unique_for_date|month|year``).  If you want to override the ``clean()`` method
 on a ``model_formset`` and maintain this validation, you must call the parent
 class's ``clean`` method::
 
Index: docs/releases/1.2-alpha-1.txt
===================================================================
--- docs/releases/1.2-alpha-1.txt	(revision 16594)
+++ docs/releases/1.2-alpha-1.txt	(working copy)
@@ -23,7 +23,7 @@
 ---------------
 
 There have been large changes to the way that CSRF protection works, detailed in
-:doc:`the CSRF documentaton </ref/contrib/csrf>`.  The following are the major
+:doc:`the CSRF documentation </ref/contrib/csrf>`.  The following are the major
 changes that developers must be aware of:
 
  * ``CsrfResponseMiddleware`` and ``CsrfMiddleware`` have been deprecated, and
Index: docs/releases/1.2.txt
===================================================================
--- docs/releases/1.2.txt	(revision 16594)
+++ docs/releases/1.2.txt	(working copy)
@@ -426,7 +426,7 @@
 ---------------
 
 We've made large changes to the way CSRF protection works, detailed in
-:doc:`the CSRF documentaton </ref/contrib/csrf>`. Here are the major changes you
+:doc:`the CSRF documentation </ref/contrib/csrf>`. Here are the major changes you
 should be aware of:
 
  * ``CsrfResponseMiddleware`` and ``CsrfMiddleware`` have been deprecated and
Index: docs/ref/forms/fields.txt
===================================================================
--- docs/ref/forms/fields.txt	(revision 16594)
+++ docs/ref/forms/fields.txt	(working copy)
@@ -938,8 +938,8 @@
 
 .. attribute:: ModelChoiceField.empty_label
 
-    By default the ``<select>`` widget used by ``ModelChoiceField`` will have a
-    an empty choice at the top of the list. You can change the text of this
+    By default the ``<select>`` widget used by ``ModelChoiceField`` will have an
+    empty choice at the top of the list. You can change the text of this
     label (which is ``"---------"`` by default) with the ``empty_label``
     attribute, or you can disable the empty label entirely by setting
     ``empty_label`` to ``None``::
Index: docs/ref/contrib/localflavor.txt
===================================================================
--- docs/ref/contrib/localflavor.txt	(revision 16594)
+++ docs/ref/contrib/localflavor.txt	(working copy)
@@ -1363,5 +1363,5 @@
 
 .. class:: uy.forms.UYDepartamentSelect
 
-    A ``Select`` widget that uses a list of  Uruguayan departaments as its
+    A ``Select`` widget that uses a list of  Uruguayan departments as its
     choices.
Index: docs/ref/contrib/gis/install.txt
===================================================================
--- docs/ref/contrib/gis/install.txt	(revision 16594)
+++ docs/ref/contrib/gis/install.txt	(working copy)
@@ -112,7 +112,7 @@
 
 .. note::
 
-   On Linux platforms, it may be necessarry to run the ``ldconfig``
+   On Linux platforms, it may be necessary to run the ``ldconfig``
    command after installing each library.  For example::
 
        $ sudo make install
@@ -1202,7 +1202,7 @@
      reg ADD "HKLM\SYSTEM\CurrentControlSet\Control\Session Manager\Environment" /v GDAL_DATA /t REG_EXPAND_SZ /f /d "%GDAL_DATA%"
      reg ADD "HKLM\SYSTEM\CurrentControlSet\Control\Session Manager\Environment" /v PROJ_LIB /t REG_EXPAND_SZ /f /d "%PROJ_LIB%"
 
-For your convenience, these commands are available in the execuatble batch
+For your convenience, these commands are available in the executable batch
 script, :download:`geodjango_setup.bat`.
 
 .. note::
Index: docs/ref/contrib/gis/gdal.txt
===================================================================
--- docs/ref/contrib/gis/gdal.txt	(revision 16594)
+++ docs/ref/contrib/gis/gdal.txt	(working copy)
@@ -937,9 +937,9 @@
        4326
        >>> print srs['TOWGS84', 4] # the fourth value in this wkt
        0
-       >>> print srs['UNIT|AUTHORITY'] # For the units authority, have to use the pipe symbole.
+       >>> print srs['UNIT|AUTHORITY'] # For the units authority, have to use the pipe symbol.
        EPSG
-       >>> print srs['UNIT|AUTHORITY', 1] # The authority value for the untis
+       >>> print srs['UNIT|AUTHORITY', 1] # The authority value for the units
        9122
 
    .. method:: attr_value(target, index=0)
Index: docs/ref/contrib/gis/deployment.txt
===================================================================
--- docs/ref/contrib/gis/deployment.txt	(revision 16594)
+++ docs/ref/contrib/gis/deployment.txt	(working copy)
@@ -6,8 +6,8 @@
 
     GeoDjango uses the GDAL geospatial library which is
     not thread safe at this time.  Thus, it is *highly* recommended
-    to not use threading when deploying -- in other words, use a
-    an appropriate configuration of Apache or the prefork method
+    to not use threading when deploying -- in other words, use an
+    appropriate configuration of Apache or the prefork method
     when using FastCGI through another Web server.
 
 Apache
Index: docs/ref/contrib/gis/geoquerysets.txt
===================================================================
--- docs/ref/contrib/gis/geoquerysets.txt	(revision 16594)
+++ docs/ref/contrib/gis/geoquerysets.txt	(working copy)
@@ -301,7 +301,7 @@
 Oracle
 ~~~~~~
 
-Here the relation pattern is compreised at least one of the nine relation
+Here the relation pattern is comprised at least one of the nine relation
 strings: ``TOUCH``, ``OVERLAPBDYDISJOINT``, ``OVERLAPBDYINTERSECT``,
 ``EQUAL``, ``INSIDE``, ``COVEREDBY``, ``CONTAINS``, ``COVERS``, ``ON``, and
 ``ANYINTERACT``.   Multiple strings may be combined with the logical Boolean
Index: docs/ref/contrib/flatpages.txt
===================================================================
--- docs/ref/contrib/flatpages.txt	(revision 16594)
+++ docs/ref/contrib/flatpages.txt	(working copy)
@@ -85,7 +85,7 @@
        subsequently raise a 404.
 
     .. versionchanged:: 1.4
-       Redirects by the middlware are permanent (301 status code) instead of
+       Redirects by the middleware are permanent (301 status code) instead of
        temporary (302) to match behavior of the
        :class:`~django.middleware.common.CommonMiddleware`.
 
Index: docs/ref/contrib/formtools/form-wizard.txt
===================================================================
--- docs/ref/contrib/formtools/form-wizard.txt	(revision 16594)
+++ docs/ref/contrib/formtools/form-wizard.txt	(working copy)
@@ -100,7 +100,7 @@
     in the :doc:`sessions documentation </topics/http/sessions>` on
     how to enable sessions.
 
-We will use the :class:`SessionWizardView` in all examples but is is completly
+We will use the :class:`SessionWizardView` in all examples but is is completely
 fine to use the :class:`CookieWizardView` instead. As with your
 :class:`~django.forms.Form` classes, this :class:`WizardView` class can live
 anywhere in your codebase, but convention is to put it in :file:`views.py`.
@@ -263,8 +263,8 @@
 .. method:: WizardView.get_form_initial(step)
 
     Returns a dictionary which will be passed to the form for ``step`` as
-    ``initial``. If no initial data was provied while initializing the
-    form wizard, a empty dictionary should be returned.
+    ``initial``. If no initial data was provided while initializing the
+    form wizard, an empty dictionary should be returned.
 
     The default implementation::
 
@@ -283,8 +283,8 @@
 
 .. method:: WizardView.get_form_instance(step)
 
-    Returns a object which will be passed to the form for ``step`` as
-    ``instance``. If no instance object was provied while initializing
+    Returns an object which will be passed to the form for ``step`` as
+    ``instance``. If no instance object was provided while initializing
     the form wizard, None be returned.
 
     The default implementation::
@@ -475,7 +475,7 @@
 
     Please remember to take care of removing old files as the
     :class:`WizardView` won't remove any files, whether the wizard gets
-    finished corretly or not.
+    finished correctly or not.
 
 Conditionally view/skip specific steps
 ======================================
Index: docs/ref/contrib/admin/index.txt
===================================================================
--- docs/ref/contrib/admin/index.txt	(revision 16594)
+++ docs/ref/contrib/admin/index.txt	(working copy)
@@ -967,7 +967,7 @@
     .. versionadded:: 1.4
 
     The ``get_ordering`` method takes a``request`` as parameter and
-    is expected to return a ``list`` or ``tuple`` for ordering similiar
+    is expected to return a ``list`` or ``tuple`` for ordering similar
     to the :attr:`ordering` attribute. For example::
 
         class PersonAdmin(ModelAdmin):
Index: docs/ref/contrib/csrf.txt
===================================================================
--- docs/ref/contrib/csrf.txt	(revision 16594)
+++ docs/ref/contrib/csrf.txt	(working copy)
@@ -417,7 +417,7 @@
 Default: ``None``
 
 The domain to be used when setting the CSRF cookie.  This can be useful for
-easily allowing cross-subdomain requests to be exluded from the normal cross
+easily allowing cross-subdomain requests to be excluded from the normal cross
 site request forgery protection.  It should be set to a string such as
 ``".lawrence.com"`` to allow a POST request from a form on one subdomain to be
 accepted by accepted by a view served from another subdomain.
Index: docs/ref/settings.txt
===================================================================
--- docs/ref/settings.txt	(revision 16594)
+++ docs/ref/settings.txt	(working copy)
@@ -305,7 +305,7 @@
 Default: ``None``
 
 The domain to be used when setting the CSRF cookie.  This can be useful for
-easily allowing cross-subdomain requests to be exluded from the normal cross
+easily allowing cross-subdomain requests to be excluded from the normal cross
 site request forgery protection.  It should be set to a string such as
 ``".lawrence.com"`` to allow a POST request from a form on one subdomain to be
 accepted by accepted by a view served from another subdomain.
@@ -1997,7 +1997,7 @@
 
 Default: ``False``
 
-A boolean that specifies wheter to display numbers using a thousand separator.
+A boolean that specifies whether to display numbers using a thousand separator.
 If this is set to ``True``, Django will use values from
 :setting:`THOUSAND_SEPARATOR` and :setting:`NUMBER_GROUPING` from current
 locale, to format the number. :setting:`USE_L10N` must be set to ``True``,